

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Gio.Interfaces
    (     module GI.Gio.Interfaces.Action         ,
    module GI.Gio.Interfaces.ActionGroup    ,
    module GI.Gio.Interfaces.ActionMap      ,
    module GI.Gio.Interfaces.AppInfo        ,
    module GI.Gio.Interfaces.AsyncInitable  ,
    module GI.Gio.Interfaces.AsyncResult    ,
    module GI.Gio.Interfaces.Converter      ,
    module GI.Gio.Interfaces.DBusInterface  ,
    module GI.Gio.Interfaces.DBusObject     ,
    module GI.Gio.Interfaces.DBusObjectManager,
    module GI.Gio.Interfaces.DesktopAppInfoLookup,
    module GI.Gio.Interfaces.Drive          ,
    module GI.Gio.Interfaces.File           ,
    module GI.Gio.Interfaces.FileDescriptorBased,
    module GI.Gio.Interfaces.Icon           ,
    module GI.Gio.Interfaces.Initable       ,
    module GI.Gio.Interfaces.ListModel      ,
    module GI.Gio.Interfaces.LoadableIcon   ,
    module GI.Gio.Interfaces.Mount          ,
    module GI.Gio.Interfaces.NetworkMonitor ,
    module GI.Gio.Interfaces.PollableInputStream,
    module GI.Gio.Interfaces.PollableOutputStream,
    module GI.Gio.Interfaces.Proxy          ,
    module GI.Gio.Interfaces.ProxyResolver  ,
    module GI.Gio.Interfaces.RemoteActionGroup,
    module GI.Gio.Interfaces.Seekable       ,
    module GI.Gio.Interfaces.SocketConnectable,
    module GI.Gio.Interfaces.TlsBackend     ,
    module GI.Gio.Interfaces.TlsClientConnection,
    module GI.Gio.Interfaces.TlsFileDatabase,
    module GI.Gio.Interfaces.TlsServerConnection,
    module GI.Gio.Interfaces.Volume         ,


    ) where

import GI.Gio.Interfaces.Action
import GI.Gio.Interfaces.ActionGroup
import GI.Gio.Interfaces.ActionMap
import GI.Gio.Interfaces.AppInfo
import GI.Gio.Interfaces.AsyncInitable
import GI.Gio.Interfaces.AsyncResult
import GI.Gio.Interfaces.Converter
import GI.Gio.Interfaces.DBusInterface
import GI.Gio.Interfaces.DBusObject
import GI.Gio.Interfaces.DBusObjectManager
import GI.Gio.Interfaces.DesktopAppInfoLookup
import GI.Gio.Interfaces.Drive
import GI.Gio.Interfaces.File
import GI.Gio.Interfaces.FileDescriptorBased
import GI.Gio.Interfaces.Icon
import GI.Gio.Interfaces.Initable
import GI.Gio.Interfaces.ListModel
import GI.Gio.Interfaces.LoadableIcon
import GI.Gio.Interfaces.Mount
import GI.Gio.Interfaces.NetworkMonitor
import GI.Gio.Interfaces.PollableInputStream
import GI.Gio.Interfaces.PollableOutputStream
import GI.Gio.Interfaces.Proxy
import GI.Gio.Interfaces.ProxyResolver
import GI.Gio.Interfaces.RemoteActionGroup
import GI.Gio.Interfaces.Seekable
import GI.Gio.Interfaces.SocketConnectable
import GI.Gio.Interfaces.TlsBackend
import GI.Gio.Interfaces.TlsClientConnection
import GI.Gio.Interfaces.TlsFileDatabase
import GI.Gio.Interfaces.TlsServerConnection
import GI.Gio.Interfaces.Volume

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Gio.Types
import GI.Gio.Callbacks


