module GI.Gio.Interfaces.File where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype File = File (ForeignPtr File)
instance GObject File where
class GObject o => FileK o
instance (GObject o, IsDescendantOf File o) => FileK o
data FileAppendToMethodInfo
data FileAppendToAsyncMethodInfo
data FileAppendToFinishMethodInfo
data FileCopyMethodInfo
data FileCopyAttributesMethodInfo
data FileCopyFinishMethodInfo
data FileCreateMethodInfo
data FileCreateAsyncMethodInfo
data FileCreateFinishMethodInfo
data FileCreateReadwriteMethodInfo
data FileCreateReadwriteAsyncMethodInfo
data FileCreateReadwriteFinishMethodInfo
data FileDeleteMethodInfo
data FileDeleteAsyncMethodInfo
data FileDeleteFinishMethodInfo
data FileDupMethodInfo
data FileEjectMountableMethodInfo
data FileEjectMountableFinishMethodInfo
data FileEjectMountableWithOperationMethodInfo
data FileEjectMountableWithOperationFinishMethodInfo
data FileEnumerateChildrenMethodInfo
data FileEnumerateChildrenAsyncMethodInfo
data FileEnumerateChildrenFinishMethodInfo
data FileEqualMethodInfo
data FileFindEnclosingMountMethodInfo
data FileFindEnclosingMountAsyncMethodInfo
data FileFindEnclosingMountFinishMethodInfo
data FileGetBasenameMethodInfo
data FileGetChildMethodInfo
data FileGetChildForDisplayNameMethodInfo
data FileGetParentMethodInfo
data FileGetParseNameMethodInfo
data FileGetPathMethodInfo
data FileGetRelativePathMethodInfo
data FileGetUriMethodInfo
data FileGetUriSchemeMethodInfo
data FileHasParentMethodInfo
data FileHasPrefixMethodInfo
data FileHasUriSchemeMethodInfo
data FileHashMethodInfo
data FileIsNativeMethodInfo
data FileLoadContentsMethodInfo
data FileLoadContentsAsyncMethodInfo
data FileLoadContentsFinishMethodInfo
data FileLoadPartialContentsFinishMethodInfo
data FileMakeDirectoryMethodInfo
data FileMakeDirectoryAsyncMethodInfo
data FileMakeDirectoryFinishMethodInfo
data FileMakeDirectoryWithParentsMethodInfo
data FileMakeSymbolicLinkMethodInfo
data FileMeasureDiskUsageFinishMethodInfo
data FileMonitorMethodInfo
data FileMonitorDirectoryMethodInfo
data FileMonitorFileMethodInfo
data FileMountEnclosingVolumeMethodInfo
data FileMountEnclosingVolumeFinishMethodInfo
data FileMountMountableMethodInfo
data FileMountMountableFinishMethodInfo
data FileMoveMethodInfo
data FileOpenReadwriteMethodInfo
data FileOpenReadwriteAsyncMethodInfo
data FileOpenReadwriteFinishMethodInfo
data FilePollMountableMethodInfo
data FilePollMountableFinishMethodInfo
data FileQueryDefaultHandlerMethodInfo
data FileQueryExistsMethodInfo
data FileQueryFileTypeMethodInfo
data FileQueryFilesystemInfoMethodInfo
data FileQueryFilesystemInfoAsyncMethodInfo
data FileQueryFilesystemInfoFinishMethodInfo
data FileQueryInfoMethodInfo
data FileQueryInfoAsyncMethodInfo
data FileQueryInfoFinishMethodInfo
data FileQuerySettableAttributesMethodInfo
data FileQueryWritableNamespacesMethodInfo
data FileReadMethodInfo
data FileReadAsyncMethodInfo
data FileReadFinishMethodInfo
data FileReplaceMethodInfo
data FileReplaceAsyncMethodInfo
data FileReplaceContentsMethodInfo
data FileReplaceContentsAsyncMethodInfo
data FileReplaceContentsBytesAsyncMethodInfo
data FileReplaceContentsFinishMethodInfo
data FileReplaceFinishMethodInfo
data FileReplaceReadwriteMethodInfo
data FileReplaceReadwriteAsyncMethodInfo
data FileReplaceReadwriteFinishMethodInfo
data FileResolveRelativePathMethodInfo
data FileSetAttributeMethodInfo
data FileSetAttributeByteStringMethodInfo
data FileSetAttributeInt32MethodInfo
data FileSetAttributeInt64MethodInfo
data FileSetAttributeStringMethodInfo
data FileSetAttributeUint32MethodInfo
data FileSetAttributeUint64MethodInfo
data FileSetAttributesAsyncMethodInfo
data FileSetAttributesFinishMethodInfo
data FileSetAttributesFromInfoMethodInfo
data FileSetDisplayNameMethodInfo
data FileSetDisplayNameAsyncMethodInfo
data FileSetDisplayNameFinishMethodInfo
data FileStartMountableMethodInfo
data FileStartMountableFinishMethodInfo
data FileStopMountableMethodInfo
data FileStopMountableFinishMethodInfo
data FileSupportsThreadContextsMethodInfo
data FileTrashMethodInfo
data FileTrashAsyncMethodInfo
data FileTrashFinishMethodInfo
data FileUnmountMountableMethodInfo
data FileUnmountMountableFinishMethodInfo
data FileUnmountMountableWithOperationMethodInfo
data FileUnmountMountableWithOperationFinishMethodInfo
