module GI.Gio.Objects.FileInfo where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype FileInfo = FileInfo (ForeignPtr FileInfo)
instance GObject FileInfo where
class GObject o => FileInfoK o
instance (GObject o, IsDescendantOf FileInfo o) => FileInfoK o
data FileInfoClearStatusMethodInfo
data FileInfoCopyIntoMethodInfo
data FileInfoDupMethodInfo
data FileInfoGetAttributeAsStringMethodInfo
data FileInfoGetAttributeBooleanMethodInfo
data FileInfoGetAttributeByteStringMethodInfo
data FileInfoGetAttributeDataMethodInfo
data FileInfoGetAttributeInt32MethodInfo
data FileInfoGetAttributeInt64MethodInfo
data FileInfoGetAttributeObjectMethodInfo
data FileInfoGetAttributeStatusMethodInfo
data FileInfoGetAttributeStringMethodInfo
data FileInfoGetAttributeStringvMethodInfo
data FileInfoGetAttributeTypeMethodInfo
data FileInfoGetAttributeUint32MethodInfo
data FileInfoGetAttributeUint64MethodInfo
data FileInfoGetContentTypeMethodInfo
data FileInfoGetDeletionDateMethodInfo
data FileInfoGetDisplayNameMethodInfo
data FileInfoGetEditNameMethodInfo
data FileInfoGetEtagMethodInfo
data FileInfoGetFileTypeMethodInfo
data FileInfoGetIconMethodInfo
data FileInfoGetIsBackupMethodInfo
data FileInfoGetIsHiddenMethodInfo
data FileInfoGetIsSymlinkMethodInfo
data FileInfoGetModificationTimeMethodInfo
data FileInfoGetNameMethodInfo
data FileInfoGetSizeMethodInfo
data FileInfoGetSortOrderMethodInfo
data FileInfoGetSymbolicIconMethodInfo
data FileInfoGetSymlinkTargetMethodInfo
data FileInfoHasAttributeMethodInfo
data FileInfoHasNamespaceMethodInfo
data FileInfoListAttributesMethodInfo
data FileInfoRemoveAttributeMethodInfo
data FileInfoSetAttributeMethodInfo
data FileInfoSetAttributeBooleanMethodInfo
data FileInfoSetAttributeByteStringMethodInfo
data FileInfoSetAttributeInt32MethodInfo
data FileInfoSetAttributeInt64MethodInfo
data FileInfoSetAttributeMaskMethodInfo
data FileInfoSetAttributeObjectMethodInfo
data FileInfoSetAttributeStatusMethodInfo
data FileInfoSetAttributeStringMethodInfo
data FileInfoSetAttributeStringvMethodInfo
data FileInfoSetAttributeUint32MethodInfo
data FileInfoSetAttributeUint64MethodInfo
data FileInfoSetContentTypeMethodInfo
data FileInfoSetDisplayNameMethodInfo
data FileInfoSetEditNameMethodInfo
data FileInfoSetFileTypeMethodInfo
data FileInfoSetIconMethodInfo
data FileInfoSetIsHiddenMethodInfo
data FileInfoSetIsSymlinkMethodInfo
data FileInfoSetModificationTimeMethodInfo
data FileInfoSetNameMethodInfo
data FileInfoSetSizeMethodInfo
data FileInfoSetSortOrderMethodInfo
data FileInfoSetSymbolicIconMethodInfo
data FileInfoSetSymlinkTargetMethodInfo
data FileInfoUnsetAttributeMaskMethodInfo
