module GI.Gio.Objects.DBusConnection where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype DBusConnection = DBusConnection (ForeignPtr DBusConnection)
instance GObject DBusConnection where
class GObject o => DBusConnectionK o
instance (GObject o, IsDescendantOf DBusConnection o) => DBusConnectionK o
data DBusConnectionAddressPropertyInfo
data DBusConnectionAuthenticationObserverPropertyInfo
data DBusConnectionCapabilitiesPropertyInfo
data DBusConnectionClosedPropertyInfo
data DBusConnectionExitOnClosePropertyInfo
data DBusConnectionFlagsPropertyInfo
data DBusConnectionGuidPropertyInfo
data DBusConnectionStreamPropertyInfo
data DBusConnectionUniqueNamePropertyInfo
data DBusConnectionClosedSignalInfo
data DBusConnectionAddFilterMethodInfo
data DBusConnectionCallMethodInfo
data DBusConnectionCallFinishMethodInfo
data DBusConnectionCallSyncMethodInfo
data DBusConnectionCallWithUnixFdListMethodInfo
data DBusConnectionCallWithUnixFdListFinishMethodInfo
data DBusConnectionCallWithUnixFdListSyncMethodInfo
data DBusConnectionCloseMethodInfo
data DBusConnectionCloseFinishMethodInfo
data DBusConnectionCloseSyncMethodInfo
data DBusConnectionEmitSignalMethodInfo
data DBusConnectionExportActionGroupMethodInfo
data DBusConnectionExportMenuModelMethodInfo
data DBusConnectionFlushMethodInfo
data DBusConnectionFlushFinishMethodInfo
data DBusConnectionFlushSyncMethodInfo
data DBusConnectionGetCapabilitiesMethodInfo
data DBusConnectionGetExitOnCloseMethodInfo
data DBusConnectionGetGuidMethodInfo
data DBusConnectionGetLastSerialMethodInfo
data DBusConnectionGetPeerCredentialsMethodInfo
data DBusConnectionGetStreamMethodInfo
data DBusConnectionGetUniqueNameMethodInfo
data DBusConnectionIsClosedMethodInfo
data DBusConnectionRegisterObjectMethodInfo
data DBusConnectionRegisterSubtreeMethodInfo
data DBusConnectionRemoveFilterMethodInfo
data DBusConnectionSendMessageMethodInfo
data DBusConnectionSendMessageWithReplyMethodInfo
data DBusConnectionSendMessageWithReplyFinishMethodInfo
data DBusConnectionSendMessageWithReplySyncMethodInfo
data DBusConnectionSetExitOnCloseMethodInfo
data DBusConnectionSignalSubscribeMethodInfo
data DBusConnectionSignalUnsubscribeMethodInfo
data DBusConnectionStartMessageProcessingMethodInfo
data DBusConnectionUnexportActionGroupMethodInfo
data DBusConnectionUnexportMenuModelMethodInfo
data DBusConnectionUnregisterObjectMethodInfo
data DBusConnectionUnregisterSubtreeMethodInfo
